<style lang="scss" scoped>

</style>
<template>
<div>
        <div
          class="text-h5 text-weight-bold text-left q-mt-xl"
          ref="assemblypoint"
          :class="{
            'q-px-md': $q.screen.width < 1220 && $q.platform.is.mobile,
          }"
        >
          酒店地址
        </div>
        <div
          class="q-mt-lg trip-text rounded-borders q-mb-xl"
          style="border: 1px dashed var(--q-color-warning)"
          :class="{
            'q-mx-md': $q.screen.width < 1220 && $q.platform.is.mobile,
          }">
          <div class="q-pa-md" style="border-bottom: 1px dashed var(--q-color-warning)">
            <div class="text-weight-bold text-h6">酒店名稱：{{hotelSummary.hotelName}}</div>
            <div class="text-grey-9">地址：{{`${hotelSummary.address}`}}</div>
          </div>
          <div class="q-pa-md" :class="{
            'q-mx-md': $q.screen.width < 1220 && $q.platform.is.mobile,
          }" v-for="(x,index) in travelLngLat" :key="index">
            <componentsMap v-if="x.Lng&&x.Lat" :AddressObj="x"/>
            <div v-else class="card text-center">经纬度未知</div>
          </div>
        </div></div>
</template>
<script>
import componentsMap from 'src/components/car/Map.vue';
export default {
  components: {componentsMap},
    props: {
        orderInfo: {
            type: Object,
            default: () => ({})
        }
    },
    data() {
      return {hotelSummary: {},
      travelLngLat: []
      }
    },
    mounted() {
        this.getData()
    },
    methods: {
    //  获取详情
    getData() {
      this.$q.loading.show();
      this.apipost(
        "dmc_post_Get_GetJAPAN_HotelDetail",
        { groupBookingFlg: "0",
hotelImageSize: 5,
photoGalleryGetFlg: 1,hotelId: this.orderInfo.GoodsId },
        (res) => {
            console.log('this.travelLngLat', res)
          this.$q.loading.hide();
          if (res.data.resultCode == 1) {
            this.hotelDetails = res.data.data.hotelDetails;
            this.hotelSummary = res.data.data.hotelSummary;
            this.roomReviewRating = Number(this.hotelDetails.roomReviewRating);
            this.travelLngLat.push({
              Lat: this.hotelSummary.latitudeW,
              Lng: this.hotelSummary.longitudeW,
              Address: this.hotelSummary.hotelName
            });
            console.log('this.travelLngLat', this.travelLngLat)
          } else {
            this.$message.error(res.data.message);
          }
          
        },
        null
      );
    },
    }
}
</script>